AppServiceNodeBean (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AppServiceNodeBean class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AppServiceNodeBean

    java.lang.Object
      org.hyperic.hq.appdef.shared.AppdefResourceValue
          org.hyperic.hq.appdef.shared.ServiceValue
              org.hyperic.hq.appdef.shared.AppServiceNodeBean

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class AppServiceNodeBean

extends ServiceValue
implements java.io.Serializable

This is a display helper bean for the screens The columns are

- icon with link to view AppServiceNodeBean's list
- service label linked by id to ViewService page
- service type label (no link)
- service's parent server label linked by id

On 2.1.6 whether the AppService is an entry point or not is also displayed.

See Also:
  Serialized Form

Field Summary
`static java.lang.Integer` | `CLUSTER_PARENT_ID`

Constructor Summary
`AppServiceNodeBean(AppdefResourceValue service, DependencyNode node)`
`AppServiceNodeBean(AppdefResourceValue service, java.lang.Integer appServiceId, java.lang.Boolean entryPoint)`

Method Summary
`java.lang.Integer` | `getAppdefType()` Returns the appdefType.
`java.lang.Integer` | `getAppServiceId()` Returns the appServiceId.
`java.lang.Boolean` | `getCluster()` Indicator whether or not the resource backing up the app-service relationship is a cluster or not
`AppdefEntityID` | `getEntityId()` get an entity ID for the object
`java.lang.Boolean` | `getEntryPoint()`
`java.lang.Boolean` | `isEntryPoint()` Returns the entryPoint.
`void` | `setAppdefType(java.lang.Integer appdefType)` Sets the appdefType.
`void` | `setAppServiceId(java.lang.Integer appServiceId)` Sets the appServiceId.
`void` | `setCluster(java.lang.Boolean compatibleGroup)` Sets the cluster flag.
`void` | `setEntityId(AppdefEntityID entityID)`
`void` | `setEntryPoint(java.lang.Boolean entryPoint)` Sets the entryPoint.
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.appdef.shared.ServiceValue
`autodiscoveryZombieHasBeenSet, configResponseIdHasBeenSet, cTimeHasBeenSet, descriptionHasBeenSet, endUserRtHasBeenSet, equals, getAutodiscoveryZombie, getAutoinventoryIdentifier, getConfigResponseId, getCTime, getDescription, getEndUserRt, getId, getLocation, getModifiedBy, getMTime, getName, getOwner, getParentId, getResourceGroup, getResourceId, getServer, getServiceRt, getServiceType, getSortName, hashCode, hasIdentity, idHasBeenSet, isIdentical, locationHasBeenSet, modifiedByHasBeenSet, mTimeHasBeenSet, nameHasBeenSet, ownerHasBeenSet, parentIdHasBeenSet, resourceIdHasBeenSet, serviceRtHasBeenSet, setAutodiscoveryZombie, setAutoinventoryIdentifier, setConfigResponseId, setCTime, setDescription, setEndUserRt, setId, setLocation, setModifiedBy, setMTime, setName, setOwner, setParentId, setResourceGroup, setResourceId, setServer, setServiceRt, setServiceType, setSortName, sortNameHasBeenSet`

Methods inherited from class org.hyperic.hq.appdef.shared.AppdefResourceValue
`compareTo, getAppdefResourceTypeValue, getHostName, getPlatformTypeCountMap, getResourceTypeCountMap, getServerTypeCountMap, getServiceTypeCountMap, setHostName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CLUSTER_PARENT_ID

    public static final java.lang.Integer CLUSTER_PARENT_ID

Constructor Detail

### AppServiceNodeBean

    public AppServiceNodeBean(AppdefResourceValue service,
                              java.lang.Integer appServiceId,
                              java.lang.Boolean entryPoint)

### AppServiceNodeBean

    public AppServiceNodeBean(AppdefResourceValue service,
                              DependencyNode node)

Method Detail

### getAppServiceId

    public java.lang.Integer getAppServiceId()

  Returns the appServiceId.

  Returns:
    Integer

### setAppServiceId

    public void setAppServiceId(java.lang.Integer appServiceId)

  Sets the appServiceId.

  Parameters:
    `appServiceId` - The appServiceId to set

### isEntryPoint

    public java.lang.Boolean isEntryPoint()

  Returns the entryPoint.

  Returns:
    Boolean

### getEntryPoint

    public java.lang.Boolean getEntryPoint()

### setEntryPoint

    public void setEntryPoint(java.lang.Boolean entryPoint)

  Sets the entryPoint.

  Parameters:
    `entryPoint` - The entryPoint to set

### getAppdefType

    public java.lang.Integer getAppdefType()

  Returns the appdefType.

  Returns:
    Integer

### setAppdefType

    public void setAppdefType(java.lang.Integer appdefType)

  Sets the appdefType.

  Parameters:
    `serviceId` - The appdefType to set

### getEntityId

    public AppdefEntityID getEntityId()

  Description copied from class: `AppdefResourceValue`
  get an entity ID for the object

  Overrides:
    `getEntityId` in class `ServiceValue`
  Returns:

### setEntityId

    public void setEntityId(AppdefEntityID entityID)

  Parameters:
    `entityID` -

### getCluster

    public java.lang.Boolean getCluster()

  Indicator whether or not the resource backing up the app-service relationship is a cluster or not

  Returns:
    Boolean

### setCluster

    public void setCluster(java.lang.Boolean compatibleGroup)

  Sets the cluster flag.

  Parameters:
    `cluster` - The cluster flag to set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ServiceValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.